%define _unpackaged_files_terminate_build 1
%def_with check
%define luarocks_revision 1

Name: lua5.4-module-luafilesystem
Version: 1.8.0
Release: alt2_lr%luarocks_revision

Summary: File System Library for the Lua Programming Language
License: MIT
Group: Development/Other
Url: https://lunarmodules.github.io/luafilesystem
Vcs: https://github.com/lunarmodules/luafilesystem

%if "%current_lua_version" >= "5.3"
Obsoletes: lua-module-luafilesystem < %version
Provides: lua-module-luafilesystem = %version
%else
Obsoletes: lua5-luafilesystem < %version
Provides: lua5-luafilesystem = %version
%endif

# https://github.com/keplerproject/luafilesystem/archive/v%version.tar.gz
Source: luafilesystem-%version.tar

BuildRequires: lua5.4 liblua5.4-devel
BuildRequires: lua5.4-luarocks

%description
LuaFileSystem is a Lua library developed to complement the set of
functions related to file systems offered by the standard Lua
distribution. LuaFileSystem offers a portable way to access the
underlying directory structure and file attributes.

%prep
%setup -n luafilesystem-%version
sed -i 's/scm-1/%version-%luarocks_revision/' luafilesystem-scm-1.rockspec
mv luafilesystem-scm-1.rockspec luafilesystem-%version-%luarocks_revision.rockspec

%build
luarocks-5.4 make --verbose --local --pack-binary-rock --deps-mode all CFLAGS="%optflags"

%install
luarocks-5.4 install *.rock --verbose --local --tree %buildroot%prefix --deps-mode none
rm -v %buildroot%luarocks_dbdir/manifest

%check
%lua_path_add_buildroot
%lua tests/test.lua

%files
%doc README* LICENSE doc/*
%luarocks_dbdir/luafilesystem/
%lua_modulesdir/lfs.so

%changelog
* Tue Jul 09 2024 Ajrat Makhmutov <rauty@altlinux.org> 1.8.0-alt2_lr1
- Change the build system from make to luarocks.
- Add the vcs tag.
- Update the url tag.
- Correct the license tag.
- Package the license with the copyright indication.

* Sun Jul 03 2022 Vladimir D. Seleznev <vseleznv@altlinux.org> 1.8.0-alt1
- Updated to 1.8.0.
- Built from tarball.
- Updated Url field.

* Fri Jun 07 2019 Ildar Mulyukov <ildar@altlinux.ru> 1.7.0-alt1_lr2
- autogenerated by lrimport
- restuctured according to https://www.altlinux.org/Lua_Policy

* Thu Jul 13 2017 Aleksei Nikiforov <darktemplar@altlinux.org> 1.6.2-alt2
- Rebuild with new luarocks and lua-5.3

* Mon Oct 06 2014 Ildar Mulyukov <ildar@altlinux.ru> 1.6.2-alt1_lr2
- autogenerated by lrimport

* Thu Jan 06 2011 Ildar Mulyukov <ildar@altlinux.ru> 1.5.0-alt1_lr1
- autogenerated by lrimport
